# Uses of Interface
org.jboss.modules.security.PermissionFactory

Packages that use PermissionFactory
Package
Description
org.jboss.modules.security

## Uses of PermissionFactory in org.jboss.modules.security

Classes in org.jboss.modules.security that implement PermissionFactory
Modifier and Type
Class
Description
`final class`
`ImmediatePermissionFactory`
A permission factory which simply holds a permission object.
`final class`
`LoadedPermissionFactory`
A permission factory which instantiates a permission with the given class name.
`final class`
`ModularPermissionFactory`
A permission factory which instantiates a permission from a module.
Constructors in org.jboss.modules.security with parameters of type PermissionFactory
Modifier
Constructor
Description
``
`FactoryPermissionCollection(PermissionFactory... factories)`
Construct a new instance.